#!/bin/sh

echo "Compile all java files to class files"
cd src
for JAVA in `find . -name "*.java"`
do
	echo "$JAVA"
	gcj --classpath='.;../swt.jar' -g0 -Os -C $JAVA
	rm $JAVA
done
cd ..
echo.


echo "Creating swtextedit.jar"
#fastjar cvfm swtextedit.jar META-INF/MANIFEST.MF -C src/ .
jar cvfm swtextedit.jar META-INF/MANIFEST.MF -C src/ .
echo.
